Package groovy.lang

# Class SpreadMap

java.lang.Object
java.util.AbstractMap
java.util.HashMap
groovy.lang.SpreadMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map`

public class SpreadMap extends HashMap
Helper to turn a list with an even number of elements into a Map.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`SpreadMap(Object[] values)`
`SpreadMap(List list)`
`SpreadMap(Map map)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(SpreadMap that)`
`boolean`
`equals(Object that)`
`int`
`hashCode()`
`Object`
`put(Object key, Object value)`
`void`
`putAll(Map t)`
`Object`
`remove(Object key)`
`String`
`toString()`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, putIfAbsent, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpreadMap

public SpreadMap(Object[] values)

### SpreadMap

public SpreadMap(Map map)

### SpreadMap

public SpreadMap(List list)

Parameters:
  `list` - the list to make spreadable
Since:
  1.8.0

## Method Details

### put

public Object put(Object key, Object value)

Specified by:
  `put` in interface `Map`
Overrides:
  `put` in class `HashMap`

### remove

public Object remove(Object key)

Specified by:
  `remove` in interface `Map`
Overrides:
  `remove` in class `HashMap`

### putAll

public void putAll(Map t)

Specified by:
  `putAll` in interface `Map`
Overrides:
  `putAll` in class `HashMap`

### equals

public boolean equals(Object that)

Specified by:
  `equals` in interface `Map`
Overrides:
  `equals` in class `AbstractMap`

### equals

public boolean equals(SpreadMap that)

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map`
Overrides:
  `hashCode` in class `AbstractMap`

### toString

public String toString()

Overrides:
  `toString` in class `AbstractMap`
Returns:
  the string expression of `this`